%define upstream_name    HTTP-Entity-Parser
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parser for application/octet-stream
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(Encode)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Message) >= 6.0.0
BuildRequires: perl(HTTP::MultiPartParser)
BuildRequires: perl(Hash::MultiValue)
BuildRequires: perl(JSON::MaybeXS) >= 1.3.7
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Module::Load)
BuildRequires: perl(Stream::Buffered)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(WWW::Form::UrlEncoded) >= 0.230.0
BuildArch:  noarch

%description
HTTP::Entity::Parser is a PSGI-compliant HTTP Entity parser. This module
also is compatible with the HTTP::Body manpage. Unlike HTTP::Body,
HTTP::Entity::Parser reads HTTP entities from PSGI's environment
'$env->{'psgi.input'}' and parses it. This module supports
application/x-www-form-urlencoded, multipart/form-data and
application/json.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.250.0-2.mga9
+ Revision: 1813642
- Mageia 9 Mass Rebuild

* Sun Nov 29 2020 tv <tv> 0.250.0-1.mga8
+ Revision: 1650113
- update to 0.25

* Mon Aug 10 2020 tv <tv> 0.240.0-1.mga8
+ Revision: 1612547
- update to 0.24

* Mon Jul 13 2020 tv <tv> 0.230.0-1.mga8
+ Revision: 1605808
- update to 0.23

* Tue Feb 18 2020 umeabot <umeabot> 0.220.0-2.mga8
+ Revision: 1538286
- Mageia 8 Mass Rebuild

* Mon Nov 18 2019 tv <tv> 0.220.0-1.mga8
+ Revision: 1461594
- update to 0.22

* Thu Sep 20 2018 umeabot <umeabot> 0.210.0-2.mga7
+ Revision: 1283999
- Mageia 7 Mass Rebuild

* Sat Mar 03 2018 tv <tv> 0.210.0-1.mga7
+ Revision: 1206273
- update to 0.21

* Fri Jul 28 2017 shlomif <shlomif> 0.200.0-1.mga7
+ Revision: 1131942
- imported package perl-HTTP-Entity-Parser


* Fri Jul 28 2017 cpan2dist 0.20-1mga
- initial mageia release, generated with cpan2dist
